Name:           maven-jaxb2-plugin
Version:        0.8.0
Release:        1%{?dist}
Summary:        Provides the capability to generate java sources from schemas
Group:          Development/Libraries
License:        BSD
URL:            http://confluence.highsource.org/display/MJIIP/Maven+JAXB2+Plugin

# svn export https://svn.java.net/svn/maven-jaxb2-plugin~svn/tags/0.8.0/ maven-jaxb2-plugin-0.8.0
# tar -zcvf maven-jaxb2-plugin-0.8.0.tar.gz maven-jaxb2-plugin-0.8.0
Source0:       %{name}-%{version}.tar.gz

Patch0:        %{name}-%{version}-pom.patch

BuildArch:	noarch

BuildRequires:  java
BuildRequires:  maven
BuildRequires:  jpackage-utils
BuildRequires:  xml-commons-resolver
#BuildRequires:	maven-surefire-provider-junit4
BuildRequires:  maven-anno-mojo
BuildRequires:  glassfish-jaxb
BuildRequires:  codemodel

Requires:       codemodel
Requires:       glassfish-jaxb
Requires:       java
Requires:       maven
Requires:       jpackage-utils
Requires:       xml-commons-resolver

%description
This Maven 2 plugin wraps the JAXB 2.x XJC compiler and provides the capability
to generate Java sources from XML Schemas.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
The API documentation of %{name}.

%prep
%setup -q
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate 

%install
# JAR

install -Dpm 644 plugin-2.2/target/maven-jaxb22-plugin-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -Dpm 644 plugin-core/target/maven-jaxb2-plugin-core-%{version}.jar %{buildroot}%{_javadir}/%{name}-core.jar

# POM
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-project.pom
install -Dpm 644 plugin-2.2/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
install -Dpm 644 plugin-core/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-core.pom

# DEPMAP
%add_maven_depmap JPP-%{name}-project.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_maven_depmap JPP-%{name}-core.pom %{name}-core.jar

# JAVADOC
install -Ddm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc %{_javadocdir}/%{name}

%changelog
* Fri Jan 20 2011 Tomas Radej <tradej@redhat.com> - 1.0-1
- Initial packaging
